<template>
  <Dropdown
    v-if="planningSettingsList.length"
    v-model="settings.planningSettings"
    :options="planningSettingsList"
    option-label="name"
  />
</template>

<script lang="ts" setup>
import Dropdown from 'primevue/dropdown/Dropdown.vue'
import { onMounted, ref, watch } from 'vue'
import { PlanningSettings, planningSettingsClient } from '@/api'
import { injectStrict } from '@/injectStrict'
import { SettingsKey } from '@/provided'

const planningSettingsList = ref<PlanningSettings[]>([])
const settings = injectStrict(SettingsKey)

async function getAvailablePlanningSettings() {
  let list = await planningSettingsClient.getCollection({})
  planningSettingsList.value = []
  planningSettingsList.value.push(...list.resources)
  while (list.next) {
    list = await list.next()
    planningSettingsList.value.push(...list.resources)
  }
}

onMounted(getAvailablePlanningSettings)
watch(() => settings.planningSettings, getAvailablePlanningSettings)
</script>

<style lang="scss" scoped></style>
